| DELETE | /RestApi/translations/projects |
|---|
import 'package:servicestack/servicestack.dart';
class DeleteProject implements IConvertible
{
List<String>? Ids;
DeleteProject({this.Ids});
DeleteProject.fromJson(Map<String, dynamic> json) { fromMap(json); }
fromMap(Map<String, dynamic> json) {
Ids = JsonConverters.fromJson(json['Ids'],'List<String>',context!);
return this;
}
Map<String, dynamic> toJson() => {
'Ids': JsonConverters.toJson(Ids,'List<String>',context!)
};
getTypeName() => "DeleteProject";
TypeContext? context = _ctx;
}
TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
'DeleteProject': TypeInfo(TypeOf.Class, create:() => DeleteProject()),
});
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
DELETE /RestApi/translations/projects HTTP/1.1 Host: www.imglobal.com Accept: text/csv